Package org.eclipse.microprofile.config.inject

## Class ConfigProperties.Literal

- java.lang.Object
- - jakarta.enterprise.util.AnnotationLiteral<ConfigProperties>
  - - org.eclipse.microprofile.config.inject.ConfigProperties.Literal

All Implemented Interfaces:
  `Annotation`

Enclosing class:
  ConfigProperties

    public static final class ConfigProperties.Literal
    extends jakarta.enterprise.util.AnnotationLiteral<ConfigProperties>
    implements ConfigProperties

Support inline instantiation of the `ConfigProperties` qualifier.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.microprofile.config.inject.ConfigProperties

`ConfigProperties.Literal`

### Field Summary

Fields
`static ConfigProperties.Literal` `NO_PREFIX`

### Fields inherited from interface org.eclipse.microprofile.config.inject.ConfigProperties

`UNCONFIGURED_PREFIX`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ConfigProperties.Literal` `of​(String prefix)`
`String` `prefix()`

### Methods inherited from class jakarta.enterprise.util.AnnotationLiteral

`annotationType, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.annotation.Annotation

`annotationType, equals, hashCode, toString`

### Field Detail

#### NO_PREFIX

    public static final ConfigProperties.Literal NO_PREFIX

### Method Detail

#### of

    public static ConfigProperties.Literal of​(String prefix)

#### prefix

    public String prefix()